
#
# Sample makefile to build a simple motif client
#

.SUFFIXES: .uid .uil
#
# Define rules
#
CC = gcc

.c.o:
	-$(RM) $@
	$(CC) -c $(CFLAGS) $<

#

.c:
	-$(RM) $@
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LIBS) -o $@
#

.uil.uid:
	-$(RM) $@
	$(UIL) -o $*.uid  $<


# Define location of uil client 
#
UIL=/usr/bin/X11/uil

#
# Define Objects needed to build this example
#
OBJS= $(PROGRAMS).o
UILOBJS = $(PROGRAMS).uid
#PROGRAMS = xmdialogs xmeditor xmfonts xmlist xmmenushel xmoption xmprotocol
PROGRAMS = feditor

#
# define build flags
#
#INCLUDES= -I/usr/include/X11R5 -I/usr/include/Motif1.2
#my modifications
INCLUDES= -I/usr/include/X11 -I/usr/dt/include
CFLAGS = -DSYSV -D_NO_PROTO $(INCLUDES)
#LDFLAGS= -L /usr/lib/X11R5 -L /usr/lib/Motif1.2
#my modifications
LDFLAGS= -L /usr/lib/X11 -L /usr/dt/lib
#LIBS= -lMrm -lXm -lXt -lX11 -lPW
#my modifications
LIBS= -lXm -lXt -lX11 
RM = rm -f

all:: $(PROGRAMS)

